<template>
	<div class="waterRigght">
		<div class="top">
			<div class="titleC">智慧水务</div>
			<div class="img">
				<img src="../../../assets/image/Left/water/left.png" />
			</div>

		</div>
		<div class="bottom">
			<div class="titleC">水务介绍</div>
			<div class="blabel">
				<p>智能水表是一种利用<span>现代微电子技术、现代传感技术、智能IC卡技术，</span>对用水量进行计量并进行用水数据传递及结算交易的新型水表。
					智能水表除了可对用水量进行记录和电子显示外，还可以按照入账后的用水金额对用水量进行控制，并且<span>自动完成水价的水费计算，欠费即关阀停水</span>，有效解决了收费难问题。</p>
				<p>智能水表同时可以进行用水数据存储的功能，在我局与智能水表厂家反复沟通后，现水务管理系统逐渐升级，可以清晰看到开发区每家企业年、月、日、小时的用水量及用水金额，无需人工抄表且运行稳定。</p>
				<p>安装智能水表的企业可以通过微信公众号了解自家企业<span
						style="color: #049CCE;">每月、每日用水量及用水金额</span>，公众号还开通了欠费提醒功能，保证企业了解自家用水余额后及时缴费，不出现用水空缺。</p>
			</div>
		</div>
	</div>


</template>

<script>
	import {
		axios_get,
		axios_post
	} from "../../../until/request.js"
	export default {
		data() {
			return {
				//loCtionList: [],
			}
		},

		mounted() {
			setTimeout(() => {
				this.CreateLabel();
			}, 100)

		},
		methods: {
			CreateLabel() {
				window.sceneObj.WaterLocList = [];
				axios_post("/water/waterUnitList").then(response => {
					for (let i = 0; i < response.data.length; i++) {
						//console.log(response.data);
						var position = sgworld.Creator.CreatePosition(response.data[i].lon, response.data[i].lat,
							0);
						let imagePath = "";
						if (response.data[i].unitType == "1") {
							imagePath = SmartEarthRootUrl + 'Workers/img/污水.png'
						}
						if (response.data[i].unitType == "2") {
							imagePath = SmartEarthRootUrl + 'Workers/img/水厂.png'
						}
						if (response.data[i].unitType == "3") {
							imagePath = SmartEarthRootUrl + 'Workers/img/企业.png'
						}

						var label = sgworld.Creator.CreateLabel(position, response.data[i].abbreviation, imagePath, {
							font: response.data[i].corpId + "&" + response.data[i].waterMeterNumber + "&" +
								response.data[i].unitType,
							// 文本偏移量
							pixelOffset: {
								x: 0,
								y: -80
							},
							scale: '3',
							imageScale: '1',
							// 无视遮挡
							disableDepthTestDistance: Infinity
						}, 0, "");
						window.sceneObj.WaterLocList.push(label);
						//this.loCtionList.push(label);
					}

					window.sceneObj.handler = new Cesium.ScreenSpaceEventHandler(sgworld.Viewer.scene.canvas);
					let _that = this;
					window.sceneObj.handler.setInputAction(function(event) {
						var pickFeature = sgworld.Viewer.scene.pick(event.position);
						if (Cesium.defined(pickFeature)) {
							let Myvalue = pickFeature.id._label._font._value;
							_that.$store.commit('savewaterClock', Myvalue);
						}

					}, Cesium.ScreenSpaceEventType.LEFT_CLICK);
				})

			}

		},







	}
</script>

<style lang="less" scoped="scoped">
	.waterRigght {
		height: 100%;
		width: 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-around;

		.top {
			height: 49%;
			width: 100%;
			display: ;

			.img {
				height: calc(100% - 72px);
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: center;

				img {
					height: 600px;
					width: 100%;
				}
			}

		}

		.bottom {
			height: 49%;
			width: 100%;

			.blabel {
				padding-top: 30px;
				height: calc(100% - 72px);
				width: 100%;
				color: #FFFFFF;
				font-size: 38px;
				line-height: 100px;
				text-indent: 80px;
				display: flex;
				flex-direction: column;
				letter-spacing: 5px;
				align-items: center;

				span {
					color: orange;
				}
			}
		}
	}

	.titleC {
		width: 100%;
		height: 72px;
		background-image: url(../../../assets/image/Left/titleC.png);
		background-size: 100% 100%;
		font-family: MytitileName;
		font-size: 36px;
		display: flex;
		align-items: center;
		color: #98deff;
		text-indent: 70px;
		letter-spacing: 3px;

		span {
			width: 87%;
			height: 80%;
			display: flex;
			align-items: center;
		}



	}
</style>
